getconf
Prev | Cygwin Utilities | Next

## Name

getconf — Get configuration values

## Synopsis

`getconf` [-v `specification`] `variable_name` [`pathname`]

`getconf` -a [`pathname`]

`getconf` -h | -V

## Options

      -v specification     Indicate specific version for which configuration
                           values shall be fetched.
      -a, --all            Print all known configuration values

    Other options:

      -h, --help           This text
      -V, --version        Print program version and exit

## Description

The getconf utility prints the value of the configuration variable specified by `variable_name`. If no `pathname` is given, getconf serves as a wrapper for the `confstr` and `sysconf` functions, supporting the symbolic constants defined in the `limits.h` and `unistd.h` headers, without their respective `_CS_` or `_SC_` prefixes.

If `pathname` is given, getconf prints the value of the configuration variable for the specified pathname. In this form, getconf serves as a wrapper for the `pathconf` function, supporting the symbolic constants defined in the `unistd.h` header, without the `_PC_` prefix.

If you specify the `-v` option, the parameter denotes a specification for which the value of the configuration variable should be printed. Note that the only specifications supported by Cygwin are `POSIX_V7_ILP32_OFFBIG` and the legacy `POSIX_V6_ILP32_OFFBIG` and `XBS5_ILP32_OFFBIG` equivalents.

Use the `-a` option to print a list of all available configuration variables for the system, or given `pathname`, and their values.

Prev | Up | Next
dumper | Home | getfacl